Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html
Class HtmlEncoder

    java.lang.Object
      com.lowagie.text.html.HtmlEncoder

    public class HtmlEncoder

extends Object

This class converts a `String` to the HTML-format of a String.

To convert the `String`, each character is examined:

- ASCII-characters from 000 till 031 are represented as &#xxx;
  (with xxx = the value of the character)
- ASCII-characters from 032 t/m 127 are represented by the character itself, except for:
  - '\n' becomes <BR>\n
  - " becomes &quot;
  - & becomes &amp;
  - < becomes &lt;
  - > becomes &gt;
- ASCII-characters from 128 till 255 are represented as &#xxx;
  (with xxx = the value of the character)

Example:

>         String htmlPresentation = HtmlEncoder.encode("Marie-Thérèse Sørensen");

for more info: see O'Reilly; "HTML: The Definitive Guide" (page 164)

Author:
  mario.maccarini@ugent.be

Field Summary
`private static String[]` | `htmlCode` List with the HTML translation of all the characters.

Constructor Summary
`private` | `HtmlEncoder()` This class will never be constructed.

Method Summary
`static String` | `encode(Color color)` Converts a `Color` into a HTML representation of this `Color`.
`static String` | `encode(String string)` Converts a `String` to the HTML-format of this `String`.
`static String` | `getAlignment(int alignment)` Translates the alignment value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### htmlCode

    private static final String[] htmlCode

  List with the HTML translation of all the characters.

Constructor Detail

### HtmlEncoder

    private HtmlEncoder()

  This class will never be constructed.

  HtmlEncoder only contains static methods.

Method Detail

### encode

    public static String encode(String string)

  Converts a `String` to the HTML-format of this `String`.

  Parameters:
    `string` - The `String` to convert
  Returns:
    a `String`

### encode

    public static String encode(Color color)

  Converts a `Color` into a HTML representation of this `Color`.

  Parameters:
    `color` - the `Color` that has to be converted.
  Returns:
    the HTML representation of this Color

### getAlignment

    public static String getAlignment(int alignment)

  Translates the alignment value.

  Parameters:
    `alignment` - the alignment value
  Returns:
    the translated value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD